Retrieves the used part with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| article_id |
Foreign key of article. Can be empty if user keys in manually the object |
globally unique identifier | |
| user_id |
Foreign key, user that uses this part |
globally unique identifier |
Required |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| working_date |
Date when the part has been used |
date | |
| code |
Code of the part (filled by article.code or manually by the user) |
string |
Max length: 255 |
| name |
Name of the part (filled by article.name or manually by the user) |
string |
Max length: 255 |
| description |
Description of the part (filled by article.description or manually by the user) |
string |
Max length: 255 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit price of the part. Computed with the price logic or filled via purchase_order_details.price |
decimal number | |
| remark |
Remark / Line memo |
string |
Max length: 255 |
| purchase_order_details_id |
Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details |
globally unique identifier | |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7a17a30a-cfd8-42cf-a5d0-7ea2ef3fd7c7",
"jobs_id": "9d327dec-e484-46e8-a943-e4442ddf2d27",
"article_id": "a5f00b8e-52fd-49fb-ae81-c856ada68c4a",
"user_id": "8753f8dd-60b3-46b1-9f25-83f6323fd544",
"article_stock_location_id": "d56213a4-1daf-4820-aa73-edab605a0a2f",
"working_date": "2026-05-02T11:07:22.0197344+00:00",
"code": "sample string 7",
"name": "sample string 8",
"description": "sample string 9",
"quantity": 10.0,
"price": 11.0,
"remark": "sample string 12",
"purchase_order_details_id": "0bd92405-ca49-4beb-a418-8d09183e833e",
"signed_by_company": true,
"job_approval_id": "5d429283-3125-4d24-8ce2-20117f22c51b",
"is_under_warranty": true,
"modified_dateutc": "2026-05-02T11:07:22.0197344+00:00"
}